package com.ss.android.medialib.model;

import com.bytedance.covode.number.Covode;

public class Enigma {
    public TdPoint[] points;
    public String text;
    public int type;

    static {
        Covode.recordClassIndex(48554);
    }

    public TdPoint[] getPoints() {
        return this.points;
    }

    public String getText() {
        return this.text;
    }

    public int getType() {
        return this.type;
    }

    public void setPoints(TdPoint[] tdPointArr) {
        this.points = tdPointArr;
    }

    public void setText(String str) {
        this.text = str;
    }

    public void setType(int i) {
        this.type = i;
    }
}
